Webhook Events

Webhook Events endpoints for the CRM API Unified API

10.24.30
Run In Postman
|Full reference

Activity Created
Webhook

Event broadcast when an activity has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Odoo
Odoo
virtual event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.activity.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
    "entity_type": "activity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Activity Updated
Webhook

Event broadcast when an activity has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Odoo
Odoo
virtual event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.activity.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
    "entity_type": "activity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Activity Deleted
Webhook

Event broadcast when an activity has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.activity.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/activities/123456ASDF",
    "entity_type": "activity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Company Created
Webhook

Event broadcast when a company has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.company.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
    "entity_type": "company",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Company Updated
Webhook

Event broadcast when a company has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.company.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
    "entity_type": "company",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Company Deleted
Webhook

Event broadcast when a company has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Pipedrive
Pipedrive
native event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.company.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/companies/123456ASDF",
    "entity_type": "company",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Contact Created
Webhook

Event broadcast when a contact has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.contact.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
    "entity_type": "contact",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Contact Updated
Webhook

Event broadcast when a contact has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.contact.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
    "entity_type": "contact",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Contact Deleted
Webhook

Event broadcast when a contact has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
HubSpot
HubSpot
native event
Pipedrive
Pipedrive
native event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.contact.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/contacts/123456ASDF",
    "entity_type": "contact",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Lead Created
Webhook

Event broadcast when a lead has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Odoo
Odoo
virtual event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.lead.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
    "entity_type": "lead",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Lead Updated
Webhook

Event broadcast when a lead has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Odoo
Odoo
virtual event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.lead.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
    "entity_type": "lead",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Lead Deleted
Webhook

Event broadcast when a lead has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Attio
Attio
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Pipedrive
Pipedrive
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.lead.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/leads/123456ASDF",
    "entity_type": "lead",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Note Created
Webhook

Event broadcast when a note has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.note.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
    "entity_type": "note",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Note Updated
Webhook

Event broadcast when a note has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.note.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
    "entity_type": "note",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Note Deleted
Webhook

Event broadcast when a note has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
Folk
Folk
native event
Pipedrive
Pipedrive
native event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
HubSpot
HubSpot
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.note.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/notes/123456ASDF",
    "entity_type": "note",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Opportunity Created
Webhook

Event broadcast when an opportunity has been created.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.opportunity.created",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
    "entity_type": "opportunity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Opportunity Updated
Webhook

Event broadcast when an opportunity has been updated.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
HubSpot
HubSpot
native event
Odoo
Odoo
virtual event
Pipedrive
Pipedrive
native event
Salesforce
Salesforce
virtual event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.opportunity.updated",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
    "entity_type": "opportunity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}

Opportunity Deleted
Webhook

Event broadcast when an opportunity has been deleted.

Header parameters

x-apideck-event-typestring
required
Enum:*crm.activity.createdcrm.activity.updatedcrm.activity.deleted

The type of event that was triggered

x-apideck-signaturestring
required

HMAC SHA-256 signature of the request body, used to verify the webhook came from Apideck

x-apideck-idempotency-keystring
required

A unique identifier for the webhook event, can be used to prevent duplicate processing

Request body schema

application/json
payloadobject

Responses

200Return a 200 status to indicate that the data was received successfully.

Mapping coverage per connector

Attio
Attio
native event
HubSpot
HubSpot
native event
Pipedrive
Pipedrive
native event
Act
Act
Request
ActiveCampaign
ActiveCampaign
Request
Blackbaud
Blackbaud
Request
Close
Close
Request
Copper
Copper
Request
Flexmail
Flexmail
Request
Folk
Folk
Request
Freshworks CRM
Freshworks CRM
Request
Google Contacts
Google Contacts
Request
Holded
Holded
Request
Microsoft Dynamics CRM
Microsoft Dynamics CRM
Request
Microsoft Outlook
Microsoft Outlook
Request
Odoo
Odoo
Request
Planhat
Planhat
Request
Salesflare
Salesflare
Request
Salesforce
Salesforce
Request
Teamleader
Teamleader
Request
Zendesk Sell
Zendesk Sell
Request
Zoho CRM
Zoho CRM
Request

Example Event

Payload
{
  "payload": {
    "event_type": "crm.opportunity.deleted",
    "unified_api": "crm",
    "service_id": "hubspot",
    "consumer_id": "test_user_id",
    "event_id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
    "entity_id": "123456ASDF",
    "entity_url": "https://unify.apideck.com/crm/opportunities/123456ASDF",
    "entity_type": "opportunity",
    "occurred_at": "2020-01-01T00:00:00.000Z"
  }
}